0

I am trying to install a plugin for gimp and am getting this gtk error, no matter what I do, I've installed just about every gtk-2.0 / gtk-3.0 devel and other packages and still it is a no go, so I edited the source files, bimp-gui.c , bimp-gui.h and still I can not get it to work. help, anyone?

%userx@voided gimp-plugin-bimp-1.16>$sudo find /usr/include -type f -name gtk.h
/usr/include/gtk-3.0/gtk/gtk.h
/usr/include/gtk-2.0/gtk/gtk.h

here are the errors

%userx@voided gimp-plugin-bimp-1.16>$make
sh: pkg-config: command not found
No output from 'pkg-config --cflags gimpui-2.0'
which gimptool-2.0 && which pcre-config && \
gcc -o ./bin/bimp -Wall -O2 -Wno-unused-variable -Wno-pointer-sign -Wno-parentheses src/*.c src/manipulation-gui/*.c   -lpcre -lm -DGIMP_DISABLE_DEPRECATED
/usr/bin/gimptool-2.0
/usr/bin/pcre-config
src/bimp-gui.c:5:21: fatal error: gtk/gtk.h: No such file or directory
 #include <gtk/gtk.h>

so I went into that file and added this commenting out the

#include <gtk/gtk.h> 

then added this

#include "/usr/include/gtk-2.0/gtk/gtk.h"

then it gave me this... still no go.

%userx@voided gimp-plugin-bimp-1.16>$make
sh: pkg-config: command not found
No output from 'pkg-config --cflags gimpui-2.0'
which gimptool-2.0 && which pcre-config && \
gcc -o ./bin/bimp -Wall -O2 -Wno-unused-variable -Wno-pointer-sign -Wno-parentheses src/*.c src/manipulation-gui/*.c   -lpcre -lm -DGIMP_DISABLE_DEPRECATED
/usr/bin/gimptool-2.0
/usr/bin/pcre-config
In file included from src/bimp-gui.c:5:0:
/usr/include/gtk-2.0/gtk/gtk.h:32:21: fatal error: gdk/gdk.h: No such file or directory
 #include <gdk/gdk.h>

I do not have a just

/usr/include/gtk/gtk.h

in my system. Is there such a thing as pre-gtk-2.0 to get a header for that. if yes then it has to be really outdated

oh yes this is the make line

make: 
which gimptool-2.0 && which pcre-config && \
gcc -o ./bin/bimp -Wall -O2 -Wno-unused-variable -Wno-pointer-sign -Wno-parentheses  src/*.c src/manipulation-gui/*.c $(GIMPARGS) $(PCREARGS) -lm -DGIMP_DISABLE_DEPRECATED
| improve this question | | | | |
3

The key message is:

sh: pkg-config: command not found

You need to install pkgconfig package in order to let your make file work properly

| improve this answer | | | | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.